# Command: switchdefault

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    switchdefault - finish a case ... switchdefault structure

Synopsis:

    mark proc1...procn procdefault switchdefault ->	-

Examples:

      mark
      false {1 == exit} case
      false {2 == exit} case
      true  {3 == exit} case
      false {4 == exit} case
      {(default) ==}
      switchdefault
      -->  3

      mark
      false {1 == exit} case
      false {2 == exit} case
      false {3 == exit} case
      false {4 == exit} case
      {(default) ==}
      switchdefault
      --> default

Description:

      Like switch, switchdefault executes any of proc1...procn.
      If an execution it meets an exit command, no further procs are executed.
      If n=0, e.g. no procedure other than procdefault is found, procdefault
      will be executed. Thus, procdefault will be skipped if any other proc
      exists.

Parameters:

      proc1...procn: executable procedure tokens.
      procdefault  : execulable procedure called if no other proc is present.

Author:

    Hehl

FirstVersion:

    April 16, 1999

SeeAlso:

- case
- switch
- exit
- mark

Source:

    /opt/conda/conda-bld/nest_1524088722951/work/nest-2.14.0/sli/slicontrol.h

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative